=== debian/control ===
Source: ros-melodic-ros1-ign-image
Section: misc
Priority: extra
Maintainer: Louise Poubel <louise@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libignition-msgs4-dev, libignition-transport7-dev, ros-melodic-catkin, ros-melodic-image-transport, ros-melodic-ros1-ign-bridge, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-ros1-ign-image
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-msgs4-dev, libignition-transport7-dev, ros-melodic-image-transport, ros-melodic-ros1-ign-bridge, ros-melodic-roscpp, ros-melodic-sensor-msgs
Description: Image utilities for Ignition simulation with ROS 1.
